VAJBuildInfo.BuildInterruptedException (Apache Ant API)
Keywords: org.apache.tools.ant.taskdefs.optional.ide.VAJBuildInfo.BuildInterruptedException,VAJBuildInfo.BuildInterruptedException class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.tools.ant.taskdefs.optional.ide
Class VAJBuildInfo.BuildInterruptedException

    java.lang.Object
      |
      +--java.lang.Throwable
            |
            +--java.lang.Exception
                  |
                  +--java.lang.RuntimeException
                        |
                        +--org.apache.tools.ant.BuildException
                              |
                              +--org.apache.tools.ant.taskdefs.optional.ide.VAJBuildInfo.BuildInterruptedException

All Implemented Interfaces:
  java.io.Serializable

Enclosing class:
  org.apache.tools.ant.taskdefs.optional.ide.VAJBuildInfo

public static class VAJBuildInfo.BuildInterruptedException
extends BuildException

This exception is thrown when a build is interrupted

See Also:
  Serialized Form

Constructor Summary
`VAJBuildInfo.BuildInterruptedException()`

Method Summary
`java.lang.String` | `toString()` Returns the location of the error and the error message.

Methods inherited from class org.apache.tools.ant.BuildException
`getCause, getException, getLocation, printStackTrace, printStackTrace, printStackTrace, setLocation`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getLocalizedMessage, getMessage, getStackTrace, initCause, setStackTrace`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### VAJBuildInfo.BuildInterruptedException

    public VAJBuildInfo.BuildInterruptedException()

Method Detail

### toString

    public java.lang.String toString()

  Description copied from class: `BuildException`
  Returns the location of the error and the error message.

  Overrides:
    `toString` in class `BuildException`
  Returns:
    the location of the error and the error message

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2004 Apache Software Foundation. All Rights Reserved.